Contents
X.25 (QLLC) Link Service (DCA)

Configuring an X.25 (QLLC) Link Service

Reference Information

Guidelines for Assigning Channel Numbers


Configuring an X.25 (QLLC) Link Service

An X.25 (QLLC) link service enables you to connect IRMA WorkStation through public or private X.25 packet-switching networks to host computers only (not to peer computers).

A default title is provided for the service; however, you can change this default.  To configure an X.25 link service, you need to enter various values to configure the service.  Contact your network administrator if you need help with these values.

To configure an X.25 (QLLC) link service:

1	Select SNA SDLC Link Service (DCA) in the Available Link Services in the Link Service Installation dialog box and choose Install.  The DCA SDLC Link Service Setup dialog box is displayed.

2	To change the default title, in the Title box, delete the default and type the new title for this link service.  You can use as many as 40 characters for the title.

3	Use the following table to configure the remaining fields:

Field Name	Default
Local X.25 Address	No default
W:Default L3 Window Size	2
P:Default L3 Packet Size	128
K:L2 Window Size	7
T1 Timeout	30
N2 Retry Limit	10
Accept Reverse Charge	Off
Select Standby	Off
Startup Restart	On
Incoming Filter	On
Outgoing SVC	No default
Two-Way SVC	0001 -- 0004
Incoming SVC	No default
PVC	No default
Data Rate	High
Encoding	NRZI
Line Type	Leased
4	Make sure that the Interrupt, I/O Address, and DMA Channel settings match those for your communications adapter.  See your communications adapter documentation for more information.

5	After completing all of the fields in this dialog box, choose Continue.  Setup copies the required files, and the Link Service Configuration dialog box is displayed listing the entry for this link service.

See Also

Guidelines for Assigning Channel Numbers


Guidelines for Assigning Channel Numbers

When specifying channel numbers in the X.25 Link Service Configuration dialog box, remember the following:

Channels must range from 1 through 4096.

The format for specifying channel numbers is x -- x.  For example, 0001 -- 0004 is a valid entry for channel numbers.

There is no requirement for the number of channels a particular SVC or PVC type uses, but the total number of channels among all types must be from 1 through 16.

Channel number ranges must be unique and must not overlap across different connection types.

To accept incoming calls, you need at least one SVC incoming or SVC two-way channel.

To configure more than one channel type, specify channel number values in ascending order: PVCs, incoming SVCs, two-way SVCs, and outgoing SVCs.  PVCs do not need to start at channel 1, but they must be set for the lowest channel numbers in this link service.  Outgoing SVCs do not need to end at channel 4096 but they must be set for the highest numbers in this link service.

See Also

Outgoing SVC Channel Range

Two-Way SVC Channel Range

Incoming SVC Channel Range

PVC Channel Range


Local X.25 Address

The local X.25 address contains 12 decimal digits, with no spaces separating the digits.

There is no default.

To specify the local network user address:

In the Local X.25 Address box, type the address.


W:Default L3 Window Size

The default L3 window size is the maximum number of packets that can be sent or received from a remote computer before an acknowledgment is required.  This applies only to switched virtual circuit (SVC) connections.

The range is from 1 through 7; the default is 2.

To specify the default L3 window size:

In the W Default L3 Window Size box, select the correct number of packets.


P:Default L3 Packet Size

The default L3 packet size is the maximum length of data in each packet sent to or received from the remote computer through SVCs.  This value can be overridden by any value you enter in the User Data or Facility Data fields of the Configure X.25 parameters in the SNA Admin program.

Allowed values are 64, 128, 256, and 512; the default is 128.

To specify the default L3 packet size:

From the Default L3 Packet Size box, select the correct packet size.


K:L2 Window Size

The L2 window size is the number of frames that IRMA WorkStation can send to the network without having to wait for an acknowledgment.

The range is from 1 through 7; the default is 7.

To specify the L2 window size:

In the K L2 Window Size box, select the correct number of frames.


T1 Timeout

The T1 timeout is the time, in units of 0.1 seconds, between successive retransmissions.

The range is from 1 through 100; the default is 30.

To specify the T1 timeout:

In the T1 Timeout box, type the time.


N2 Retry Limit

The N2 retry limit is the number of times that IRMA WorkStation can attempt to retransmit data.

The range is from 1 through 100, the default is 10.

To specify the N2 retry limit:

In the N2 Retry Limit box, type the retry limit.


Accept Reverse Charge

Accept Reverse Charge indicates whether IRMA WorkStation sends a Restart message to the X.25 network every time the link service is activated.

The field is either on or off.  The default is off.

To turn on Accept Reverse Charge:

Select the Accept Reverse Charge check box.


Startup Restart

Startup restart indicates whether a restart should be performed each time the link is activated.

The field is either on or off.  The default is on.

To turn off startup restart:

Clear the Startup Restart check box.


Select Standby

Select standby specifies whether you want your modem standby lines set to on.  The standby line is the backup line (usually switched) on leased line modems that include a backup line.  Check your modem documentation for directions.

The field is either on or off.  The default is off.

To turn on select standby:

Select the Select Standby check box.


Outgoing SVC

The outgoing SVC channel range is the range of channels used for outgoing calls.  Specify the first and last channel numbers of the range.  The numbers for this range must be set for the highest numbers in this link service.

The format for this field must be x -- x.  For example, 0001 -- 0004 is a valid entry for this field.  There is no default.

To specify the outgoing SVC channel range:

In the Outgoing SVC box, type the first and last channel numbers in the range.

See Also

Guidelines for Assigning Channel Numbers


Two-Way SVC

The two-way SVC channel range is the range of channels that can be used for either incoming or outgoing calls.  Specify the first and last numbers of this range.

The format for this field must be x -- x.  For example, 0001 -- 0004 is the default and indicates the correct format for this field.  There is no default.

To specify the two-way SVC channel range:

In the Two-Way SVC box, enter the first and last channel numbers in the range.

See Also

Guidelines for Assigning Channel Numbers


Incoming SVC

The Incoming SVC channel range is the range of SVC channels used for incoming calls.  Specify the first and last channel numbers for this range.

The format for this field must be x -- x.  For example, 0001 -- 0004 is a valid entry for this field.  There is no default.

To specify the Incoming SVC channel range:

In the Incoming SVC box, enter the first and last channel numbers in the range.

See Also

Guidelines for Assigning Channel Numbers


PVC

The PVC channel range is the range of PVC channels used by the computer on the X.25 network.  Specify the first and last channel of this range.  This must be specified if a PVC connection uses the link service.  The numbers in this range must be the lowest numbers in the link service.

The format for this field must be x -- x.  For example, 0001 -- 0004 is a valid entry for this field.  There is no default.

To specify the PVC channel range:

In the PVC box, enter the first and last channel numbers in the range.

See Also

Guidelines for Assigning Channel Numbers


Data Rate

Data Rate is the data rate for communications between your modem and the communications adapter, in cases where the modem speed can be set in software.

Select Low if poor-quality lines cause errors at the full rate.  If you select High, CCITT Line 111 on the V24 interface is set to on.  Check your modem documentation for directions.

The default is High.

To change the data rate setting to low:

Under Data Rate, select Low.


Encoding

Encoding is used to specify the encoding scheme for transmitting and receiving data.  The local computer must use the same encoding scheme as the remote computer.  When you connect to a host, your choice must match the option specified in the Line/Group macro.

The options are NRZ (nonreturn to zero) and NRZI (nonreturn to zero inverted).  The default is NRZI.

To change encoding to NRZ:

Under Encoding, select NRZ.


Incoming Filter

Incoming filter, if the filter is active, specifies that calls to X.25 addresses other than the local one are filtered out.  Otherwise, they are allowed.

The field is either on or off.  The default is on.

To turn off incoming filter:

Clear the Incoming Filter check box.


Line Type

The line type for this service can be either leased or switched.

The default is leased.

To specify the line type:

Under Line Type, select the correct option button for this service.